Subject: Re: Available for test: gcc-3.2-1, gcc-mingw-3.2-20020817-1, gcc2-2.95.3-10
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Tue, 27 Aug 2002 10:11:16 +0900
Newsgroups: gmane.os.cygwin

Thanks, that's really helpful, I wasn't sure that the cvs development
version of binutils was useable unmodified on cygwin.  I seem to remember
trying to build binutils some time this year and it didn't work, but then
again, now a lot of the other packages have already been updated in cygwin
its probably ok.

Regards

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"Nicholas Wourms" <[email-masked]> wrote in message
news:[email-masked]...
>
> --- Dylan Cuthbert <[email-masked]> wrote:
> >
> >
> > "Christopher Faylor" <[email-masked]> wrote in message
> > news:[email-masked]...
> > >
> > > There is also a gcc2 update, also available only for testing.
> > This
> > > version has fastcall support from Danny's mingw release and
> > includes
> > > some tweaks that should allow me to eventually reintroduce the
> > alignment
> > > changes in binutils which allow java to work better.
> > >
> >
> > Not just java, we're waiting on these binutils so we can use the
> > SSE
> > extensions for gcc that need to have 128-bit stack alignment
> > working
> > properly.  At least we hope that's the only problem :-(
> >
> > Any chance of a pre-release version to test?  We don't use gcc-2
> > anyway.
> >
>
> Dylan,
>
> I'm sure Chris will release them when he thinks it is appropriate.
> However, you need not wait, for the sources are only a few dozen
> keystrokes away...
>
> 1)cvs -d:pserver:[email-masked]:/cvs/src login
> >>>password: anoncvs
> 2)cvs -z9 -d:pserver:[email-masked]:/cvs/src co binutils
> 3)mkdir build
> 4)cd build
> 5)../src/configure --prefix=../install
> 6)make; make install
> 7)cd ../install; tar -jcvf /binutils-20020826-1.tar.bz2 *
> 8)copy the tarball to {temp dir}/binutils and point setup.exe there
> to install...
>
> Eight easy steps to get a binutils prerelease.  Easy as Dell, easy as
> apple pie =).
>
> Cheers,
> Nicholas
>
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Finance - Get real-time stock quotes
> http://finance.yahoo.com
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/